> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all vendors

> List all vendors



## OpenAPI

````yaml /v2.yaml get /v2/accounts-payable/vendors
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/accounts-payable/vendors:
    get:
      tags:
        - accounts-payable
      summary: List all vendors
      description: List all vendors
      operationId: get-vendors
      parameters:
        - schema:
            type: string
          in: query
          name: limit
          description: A limit on the number of objects to be returned, between 1 and 100.
        - schema:
            type: string
          in: query
          name: starting_after
          description: >-
            A cursor for use in pagination. `starting_after` is an object ID
            that defines your place in the list. For instance, if you make a
            list request and receive 100 objects, ending with `aaa`, your
            subsequent call can include `starting_after`=`aaa` in order to fetch
            the next page of the list.
        - schema:
            type: string
          in: query
          name: ending_before
          description: >-
            A cursor for use in pagination. `ending_before` is an object ID that
            defines your place in the list. For instance, if you make a list
            request and receive 100 objects, ending with `aaa`, your subsequent
            call can include `ending_before`=`aaa` in order to fetch the
            previous page of the list.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_more:
                    type: boolean
                    description: '`true` if there are more objects.'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/vendor'
components:
  schemas:
    vendor:
      type: object
      properties:
        id:
          type: string
          description: ID of the `vendor`.
        name:
          type: string
          description: Name of the `vendor`.
        description:
          type: string
        active:
          type: boolean
          description: Indicates if the vendor is active.
        address:
          type: object
          properties:
            city:
              type: string
            country:
              type: string
            line_1:
              type: string
            line_2:
              type: string
            postcode:
              type: string
            state:
              type: string
        api_app_id:
          type: string
          format: uuid
        contact_email:
          type: string
          format: email
        created:
          type: string
          format: date-time
        external_id:
          type: string
          nullable: true
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````